import React, { PureComponent } from 'react';
import Gantt from './components/Gantt';
import { normalizeData } from './ganttUtils';

const algoData = [
  [
    { startTime: 1, endTime: 3, processor: 1 },
    { startTime: 4, endTime: 6, processor: 1 },
    { startTime: 6, endTime: 10, processor: 1 },
  ],
  [
    { startTime: 6, endTime: 10, processor: 2 },
    { startTime: 22, endTime: 23, processor: 2 },
    { startTime: 23, endTime: 24, processor: 2 },
    { startTime: 24, endTime: 25, processor: 2 },
  ],
  [
    { startTime: 10, endTime: 16, processor: 3 },
  ],
  [
    { startTime: 10, endTime: 16, processor: 4 },
  ],
  [
    { startTime: 10, endTime: 16, processor: 5 },
  ],
  [
    { startTime: 10, endTime: 16, processor: 6 },
  ]
];

const data = normalizeData(algoData);

class App extends PureComponent {
  render() {
    return (
      <div style={{ padding: 20 }}>
        <Gantt data={data} />
      </div>
    );
  }
}

export default App;
